com.jnape.palatable.lambda.functions.builtin.fn2

## Class Any<A>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Any<A>

- Type Parameters:
    `A` - The input Iterable element type
  All Implemented Interfaces:
    Fn1<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Boolean>>, Fn2<Fn1<? super A,? extends Boolean>,Iterable<A>,Boolean>, BiPredicate<Fn1<? super A,? extends Boolean>,Iterable<A>>, Applicative<Fn1<Iterable<A>,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>, Cartesian<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Boolean>,Fn1<?,?>>, Cocartesian<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Boolean>,Fn1<?,?>>, Contravariant<Fn1<? super A,? extends Boolean>,Profunctor<?,Fn1<Iterable<A>,Boolean>,Fn1<?,?>>>, Functor<Fn1<Iterable<A>,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>, Profunctor<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Boolean>,Fn1<?,?>>, Monad<Fn1<Iterable<A>,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>, MonadReader<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>, MonadRec<Fn1<Iterable<A>,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>, MonadWriter<Fn1<? super A,? extends Boolean>,Fn1<Iterable<A>,Boolean>,Fn1<Fn1<? super A,? extends Boolean>,?>>

      public final class Any<A>
      extends Object
      implements BiPredicate<Fn1<? super A,? extends Boolean>,Iterable<A>>

  Eagerly apply a predicate to each element in an `Iterable`, returning `true` if any element satisfies the predicate, and `false` otherwise. This method short-circuits on the first `true` evaluation.
  See Also:
    `All`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <A> Any<A>` | `any()`
    `static <A> Predicate<Iterable<A>>` | `any(Fn1<? super A,? extends Boolean> predicate)`
    `static <A> Boolean` | `any(Fn1<? super A,? extends Boolean> predicate, Iterable<A> as)`
    `Boolean` | `checkedApply(Fn1<? super A,? extends Boolean> predicate, Iterable<A> as)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.specialized.BiPredicate

      `and, apply, contraMap, diMapL, discardR, flip, fromBiPredicate, negate, or, toBiPredicate, uncurry`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, checkedApply, compose, curried, curry, fn2, fromBiFunction, toBiFunction, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Method Detail

    - #### checkedApply

          public Boolean checkedApply(Fn1<? super A,? extends Boolean> predicate,
                                      Iterable<A> as)

      Specified by:
        `checkedApply` in interface `Fn2<Fn1<? super A,? extends Boolean>,Iterable<A>,Boolean>`

    - #### any

          public static <A> Any<A> any()

    - #### any

          public static <A> Predicate<Iterable<A>> any(Fn1<? super A,? extends Boolean> predicate)

    - #### any

          public static <A> Boolean any(Fn1<? super A,? extends Boolean> predicate,
                                        Iterable<A> as)